Data - Retrieve Classes
Recupera l'elenco delle classi e le relative proprietà.
POST http://<Servername>/OperationsManager/data/scomClasses
Corpo della richiesta
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Nome | Tipo | Descrizione |
|---|---|---|
| criteria |
string |
Specificare i criteri per la ricerca |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
OK. Recuperato con successo l'elenco delle classi e le relative proprietà. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Esempio
RetrieveClasses
Esempio di richiesta
POST http://<Servername>/OperationsManager/data/scomClasses
[
"DisplayName LIKE '%.net windows%'"
]
Risposta di esempio
{
"scopeDatas": [
{
"id": "c9dff298-d539-ee41-fc32-f7ba1b42f95e",
"displayName": ".NET Windows Service",
"className": "Microsoft.SystemCenter.ApplicationMonitoring.Library!Microsoft.SystemCenter.ApplicationMonitoring.Net.NTServiceComponent",
"path": null,
"fullName": null
}
]
}
Definizioni
| Nome | Descrizione |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Nome | Tipo | Descrizione |
|---|---|---|
| className |
string |
Nome classe |
| displayName |
string |
Nome visualizzato |
| fullName |
string |
Nome completo |
| id |
string |
Documento d'identità |
| path |
string |
Percorso |
ScopeDataResponse
| Nome | Tipo | Descrizione |
|---|---|---|
| scopeDatas |
Dati ambito |